IARRAY_UNTRANSFORM_3D(3)

EXPERIMENTAL_FUNC
iarray_untransform_3D - Transform an array by iterating over the output array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_untransform_3D

(iarray out_arr, KwcsAstro out_ap, iarray in_arr, KwcsAstro in_ap, void (*func) (void *info, unsigned long length, double *x, double *y, double *z), void *info)

DESCRIPTION
Transform an array by iterating over the output array.

out_arr
    The output array. The new grid must already be defined.

out_ap
    The output KwcsAstro object.

in_arr
    The input array.

in_ap
    The input KwcsAstro object.

func
    The function used to convert from output world co-ordinates to input world co-ordinates.

info
    An arbitrary information pointer passed to <<func>>.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/